karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Updated] (KARAF-3181) framework-security feature doesn't install
Date Fri, 05 Jun 2015 13:37:00 GMT

     [ https://issues.apache.org/jira/browse/KARAF-3181?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré updated KARAF-3181:
----------------------------------------
    Fix Version/s:     (was: 4.0.0.M3)
                   4.0.0

> framework-security feature doesn't install
> ------------------------------------------
>
>                 Key: KARAF-3181
>                 URL: https://issues.apache.org/jira/browse/KARAF-3181
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-core
>    Affects Versions: 4.0.0.M3
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 4.0.0
>
>
> The installation of the framework-security feature fails:
> {code}
> Uses constraint violation. Unable to resolve resource org.apache.aries.blueprint.core
[org.apache.aries.blueprint.core/1.4.1] because it is exposed to package 'org.osgi.util.tracker'
from resources org.apache.felix.framework [0] and org.apache.felix.framework [0] via two dependency
chains.
> Chain 1:
>   org.apache.aries.blueprint.core [org.apache.aries.blueprint.core/1.4.1]
>     import: (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.5.0)(!(version>=2.0.0)))
>      |
>     export: osgi.wiring.package: org.osgi.util.tracker
>   org.apache.felix.framework [0]
> Chain 2:
>   org.apache.aries.blueprint.core [org.apache.aries.blueprint.core/1.4.1]
>     import: (&(osgi.wiring.package=org.apache.aries.util.tracker)(version>=1.0.0)(!(version>=2.0.0)))
>      |
>     export: osgi.wiring.package=org.apache.aries.util.tracker; uses:=org.osgi.util.tracker
>   org.apache.aries.util [org.apache.aries.util/1.1.0]
>     import: (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.4.0)(!(version>=2.0.0)))
>      |
>     export: osgi.wiring.package: org.osgi.util.tracker
>   org.apache.felix.framework [0]
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message